Bug 1269436 - ceph init script bugs [NEEDINFO]
ceph init script bugs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ceph (Show other bugs)
22
All Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 07:11 EDT by Artemy Kapitula, RCNTEC Ltd
Modified: 2016-05-10 13:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: ceph-0.94.5-2.fc22 ceph-0.94.5-2.fc23 ceph-0.94.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 13:55:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
branto: needinfo? (artemy.kapitula)


Attachments (Terms of Use)
init script patch (964 bytes, patch)
2015-10-07 07:11 EDT, Artemy Kapitula, RCNTEC Ltd
no flags Details | Diff

  None (edit)
Description Artemy Kapitula, RCNTEC Ltd 2015-10-07 07:11:06 EDT
Created attachment 1080600 [details]
init script patch

Description of problem:

ceph init script /etc/init.d/ceph is buggy in ceph-0.94.3-1

How reproducible:

Always

Steps to Reproduce:
1. Create a cluster with a non-default name (i.e. "demo", not a default "ceph")
2. Start Ceph monitor: service ceph --cluster demo start mon
3. Try to get status: service ceph --cluster demo status

Actual results:

=== mon.control1 === 
mon.control1: running failed: '/usr/bin/ceph --admin-daemon /var/run/ceph/ceph-mon.control1.asok version 2>/dev/null'

Expected results:

=== mon.control1 === 
mon.control1: running {"version":"0.94.3"}

Additional info:

Simple patch included.
Comment 1 Boris Ranto 2015-11-24 17:52:27 EST
Hi Artemy,

we have already switched to systemd with ceph in fedora (current rawhide) so as far as rawhide goes, this bug report is moot.

However, the issue that you mention here is still not fixed upstream. Could you please create an upstream PR [1] so that you get the credits for the patch? Afterwards, we can backport the patch to the hammer branch and it will eventually land in f22/f23 once another maintenance hammer release will pop up.

[1] https://github.com/ceph/ceph
Comment 2 Boris Ranto 2015-12-04 12:44:01 EST
FYI: A similar patch was proposed upsream:

https://github.com/ceph/ceph/pull/6732
Comment 3 Fedora Update System 2015-12-09 11:49:12 EST
ceph-0.94.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0e095ab8ff
Comment 4 Fedora Update System 2015-12-09 18:22:33 EST
ceph-0.94.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ceph'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e0111115ad
Comment 5 Fedora Update System 2015-12-09 23:54:41 EST
ceph-0.94.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ceph'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0e095ab8ff
Comment 6 Fedora Update System 2015-12-19 13:27:23 EST
ceph-0.94.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-02-23 18:12:33 EST
ceph-0.94.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-94f2d87a47
Comment 8 Fedora Update System 2016-02-25 05:52:54 EST
ceph-0.94.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94f2d87a47
Comment 9 Fedora Update System 2016-05-10 13:55:10 EDT
ceph-0.94.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.